# "fix" underlinking:
%define _disable_ld_no_undefined 1

%define major 0
%define libname %mklibname usal %major
%define devname %mklibname -d usal

Summary:	A command line CD/DVD-Recorder
Name:		cdrkit
Version:	1.1.11
Release:	%mkrel 9
License:	GPLv2+
Group:		Archiving/Cd burning
URL:		http://cdrkit.org/
Source:		http://cdrkit.org/releases/%{name}-%{version}.tar.gz
Patch1: cdrkit-1.1.8-werror.patch
Patch2: cdrkit-1.1.9-efi-boot.patch
Patch4: cdrkit-1.1.9-no_mp3.patch
Patch5: cdrkit-1.1.9-buffer_overflow.patch
Patch6: cdrkit-1.1.10-build-fix.patch
Patch7: cdrkit-1.1.11-manpagefix.patch
Patch8: cdrkit-1.1.11-rootstat.patch
Patch9: cdrkit-1.1.11-usalinst.patch
Patch10: cdrkit-1.1.11-readsegfault.patch
Patch11: cdrkit-1.1.11-format.patch
Patch12: cdrkit-1.1.11-handler.patch
Patch13: cdrkit-1.1.11-dvdman.patch
Patch14: cdrkit-1.1.11-paranoiacdda.patch
Patch15: cdrkit-1.1.11-utf8.patch
Patch16: cdrkit-1.1.11-cmakewarn.patch
Patch17: cdrkit-1.1.11-memset.patch
Patch19: cdrkit-1.1.11-ppc64le_elfheader.patch
Patch20: cdrkit-1.1.11-werror_gcc5.patch
Patch21: cdrkit-1.1.11-devname.patch
Patch50:		cdrkit-1.1.9-wformat-error.patch
BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	zlib-devel
BuildRequires:	libcap-devel
BuildRequires:	magic-devel
BuildRequires: cdparanoia-devel
Requires(pre):	rpm-helper
Requires(postun): rpm-helper
Requires(postun): update-alternatives
Requires(post): update-alternatives
Provides:	cdrecord

%package icedax
Summary:	CD-Audio to .wav converter
Group:		Sound/Utilities
Provides:	cdrecord-cdda2wav
Requires(pre):	rpm-helper
Requires(post): update-alternatives
Requires(postun): rpm-helper
Requires(postun): update-alternatives

%package genisoimage
Group:		Archiving/Cd burning
Provides:	mkisofs
Summary:	Creates an image of an ISO9660 filesystem
Requires(post): update-alternatives
Requires(postun): update-alternatives

%package isotools
Group:		Archiving/Cd burning
Provides:	cdrecord-isotools
Summary:	Collection of ISO files related tools
Requires(pre):	rpm-helper
Requires(postun): rpm-helper

%description
wodim allows you to create CDs and DVDs on a CD-Recorder or DVD-Recorder
(SCSI/ATAPI). It supports data, audio, mixed, multi-session, CD+, DVD,
DVD-Video discs etc.

%description icedax
icedax reads audio CDs, outputting a wav file.

%description genisoimage
genisoimage is used to create ISO 9660 file system images for creating
CD-ROMs. Now includes support for making bootable "El Torito" CD-ROMs.

%description isotools
This package is a collection of ISO 9660 commands to dump and test images:
isodebug, isodump, isoinfo, isovfy, devdump.

%package -n %libname
Summary: Library to communicate with SCSI devices
Group: Development/C

%description -n %libname
The libusal package contains C libraries that allows applications
to communicate with SCSI devices and is well suitable for writing
CD-R media.

%package -n %devname
Summary: Development files for libusal
Group: Development/C
Requires: %libname = %{version}-%{release}

%description -n %devname
The libusal-devel package contains C libraries and header files
for developing applications that use libusal for communication with
SCSI devices.
 
%prep
%setup -q 
%autopatch -p1

%build
%cmake

%make

%install
perl -pi -e 's!local/bin/perl!bin/perl!' ./doc/icedax/tracknames.pl
%makeinstall_std -C build

%pre
%_pre_groupadd cdwriter

%postun
%_postun_groupdel cdwriter
if [ "$1" = "0" ]; then
  update-alternatives --remove cdrecord %{_bindir}/wodim
  update-alternatives --remove readcd %{_bindir}/readom
fi

%pre icedax
%_pre_groupadd cdwriter

%post icedax
update-alternatives --install %{_bindir}/cdda2wav cdda2wav %{_bindir}/icedax 10 \
    --slave %_mandir/man1/cdda2wav.1%{_extension} cdda2wav.1%{_extension} %_mandir/man1/icedax.1%{_extension}

%postun icedax
%_postun_groupdel cdwriter
if [ "$1" = "0" ]; then
  update-alternatives --remove cdda2wav %{_bindir}/icedax
fi

%pre isotools
%_pre_groupadd cdwriter

%postun isotools
%_postun_groupdel cdwriter

%post
update-alternatives --install %{_bindir}/cdrecord cdrecord %{_bindir}/wodim 10 \
    --slave %_mandir/man1/cdrecord.1%{_extension} cdrecord.1%{_extension} %_mandir/man1/wodim.1%{_extension}
update-alternatives --install %{_bindir}/readcd readcd %{_bindir}/readom 10 \
    --slave %_mandir/man1/readcd.1%{_extension} readcd.1%{_extension} %_mandir/man1/readom.1%{_extension}

%post genisoimage
update-alternatives --install %{_bindir}/mkisofs mkisofs %{_bindir}/genisoimage 10 \
    --slave %_mandir/man1/mkisofs.1%{_extension} mkisofs.1%{_extension} %_mandir/man1/genisoimage.1%{_extension}
update-alternatives --install %{_bindir}/mkhybrid mkhybrid %{_bindir}/genisoimage 10 \
    --slave %_mandir/man1/mkhybrid.1%{_extension} mkhybrid.1%{_extension} %_mandir/man1/genisoimage.1%{_extension}

%postun genisoimage
if [ "$1" = "0" ]; then
  update-alternatives --remove mkisofs %{_bindir}/genisoimage
  update-alternatives --remove mkhybrid %{_bindir}/genisoimage
fi

%files
%doc FAQ TODO FORK VERSION START ABOUT doc/DOC-OVERVIEW doc/PORTABILITY doc/READMEs doc/WHY doc/plattforms doc/wodim/
%{_bindir}/wodim
%{_bindir}/readom
%{_sbindir}/netscsid
%{_mandir}/man1/wodim.1.*
%{_mandir}/man1/list_audio_tracks.1.*
%{_mandir}/man1/readom.1.*

%files isotools
%{_bindir}/devdump
%{_bindir}/isodebug
%{_bindir}/isodump
%{_bindir}/isoinfo
%{_bindir}/isovfy
%{_mandir}/man1/devdump.1.*
%{_mandir}/man1/isodump.1.*
%{_mandir}/man1/isoinfo.1.*
%{_mandir}/man1/isovfy.1.*
%{_mandir}/man1/isodebug.1.*

%files genisoimage
%{_bindir}/genisoimage
%{_bindir}/dirsplit
%{_mandir}/man1/genisoimage.1.*
%{_mandir}/man5/genisoimagerc.5.*
%{_mandir}/man1/dirsplit.1.*

%files icedax
%{_bindir}/icedax
%{_bindir}/cdda2mp3
%{_bindir}/cdda2ogg
%{_bindir}/pitchplay
%{_bindir}/readmult
%{_mandir}/man1/readmult.1.*
%{_mandir}/man1/cdda2ogg.1.*
%{_mandir}/man1/icedax.1.*
%{_mandir}/man1/pitchplay.1.*

%files -n %libname
%doc doc/plattforms/README.linux Changelog COPYING FAQ FORK START
%{_libdir}/libusal.so.*
%{_libdir}/librols.so.*

%files -n %devname
%doc COPYING
%{_libdir}/libusal.so
%{_libdir}/librols.so
%{_includedir}/usal


%changelog
* Sun Apr 17 2016 tv <tv> 1.1.11-9.mga6
+ Revision: 1003220
- add patches from FC (efi boot, ...)
- introdce libusal
- use FC fixes for cmake + BR cdparanoia-devel

* Tue Feb 09 2016 umeabot <umeabot> 1.1.11-8.mga6
+ Revision: 952585
- Mageia 6 Mass Rebuild

* Fri Apr 03 2015 luigiwalser <luigiwalser> 1.1.11-7.mga5
+ Revision: 819672
- add missing requires for scriplets

* Wed Oct 15 2014 umeabot <umeabot> 1.1.11-6.mga5
+ Revision: 749683
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.11-5.mga5
+ Revision: 678341
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.11-4.mga4
+ Revision: 503309
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.1.11-3.mga3
+ Revision: 347538
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 16 2012 zezinho <zezinho> 1.1.11-2.mga3
+ Revision: 318977
- change group
- spec cleanup

* Mon Jan 31 2011 alien <alien> 1.1.11-1.mga1
+ Revision: 45409
- Clean up old cdrecord obsoletes
- Remove BuildRoot
- imported package cdrkit

